maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Benjamin Bentmann (JIRA)" <j...@codehaus.org>
Subject [jira] Commented: (MNG-4840) Prerequisites is not working on m3
Date Wed, 02 Feb 2011 19:10:22 GMT

    [ http://jira.codehaus.org/browse/MNG-4840?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=253900#action_253900
] 

Benjamin Bentmann commented on MNG-4840:
----------------------------------------

This is expected, enforcement of the build environment is left to the Maven Enforcer Plugin
and its [requireMavenVersion|http://maven.apache.org/enforcer/enforcer-rules/requireMavenVersion.html]
rule, cf. the Enforcer FAQ for general issues with using the {{<prerequisites>}} for
this.

> Prerequisites is not working on m3
> ----------------------------------
>
>                 Key: MNG-4840
>                 URL: http://jira.codehaus.org/browse/MNG-4840
>             Project: Maven 2 & 3
>          Issue Type: Bug
>          Components: POM
>    Affects Versions: 3.0-alpha-6, 3.0-alpha-7, 3.0-beta-1, 3.0-beta-2, 3.0-beta-3
>            Reporter: Marvin Froeder
>            Assignee: Benjamin Bentmann
>             Fix For: 3.0.2
>
>         Attachments: mng-001.zip, testapp.tar
>
>
> I set my plugin to prerequisite on maven 4 (ok, it doesn't exists yet), but the build
just passed =/
> Sample attached

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message